## system-image-snappy 2.5.1-0ubuntu2

=== systemimage/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ImageUpdateResolver.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ImageUpdateResolver.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ImageUpdateResolver"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ImageUpdateResolver"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
system-image-snappy (2.5.1-0ubuntu2) vivid; urgency=low

  * fix incorrect XB- header, thanks to Steve Slangasek
  * fix leftover debug message in debian/rules, thanks to Steve Slangasek

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Apr 2015 15:34:59 -0400

system-image-snappy (2.5.1-0ubuntu1) vivid; urgency=low

  * rename to system-image-snappy, conflict against system-image

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Apr 2015 12:03:16 -0400

system-image (2.5-0ubuntu1+ppa22) vivid; urgency=low

  * write --machine-readable json unbuffered

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 Mar 2015 10:19:40 +0100

system-image (2.5-0ubuntu1+ppa21) vivid; urgency=low

  * send errors via --machine-readable as well

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Feb 2015 10:13:13 +0100

system-image (2.5-0ubuntu1+ppa20) vivid; urgency=low

  * make machine_readable output real json

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Feb 2015 20:20:38 +0100

system-image (2.5-0ubuntu1+ppa19) vivid; urgency=low

  * fix crash when config.machine_readable is not defined

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Feb 2015 16:21:01 +0100

system-image (2.5-0ubuntu1+ppa18) vivid; urgency=low

  * fix bug in download progress reporting in the pycurl backend

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Feb 2015 12:55:15 +0100

system-image (2.5-0ubuntu1+ppa17) vivid; urgency=low

  * add "--machine-readable" switch that will print json with PROGRESS,
    SPINNER and ERROR data

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Feb 2015 09:53:31 +0100

system-image (2.5-0ubuntu1+ppa16) vivid; urgency=medium

  * Invalidate the update cache and release the checking lock if acquired,
    when the D-Bus method ReloadConfiguration() is called.  This ensures
    that another full check will be performed.   (LP: #1412698)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 20 Jan 2015 11:06:51 -0500

system-image (2.5-0ubuntu1+ppa15) vivid; urgency=medium

  [ Barry Warsaw ]
  * Added D-Bus API ReloadConfiguration() which takes a path to the new
    client.ini file.  A channel.ini file can live next to that.  Using
    this method will reload the configuration, e.g. to the B partition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Jan 2015 15:37:29 -0800

system-image (2.5-0ubuntu1+ppa14) vivid; urgency=medium

  * From userdata to writable

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Fri, 28 Nov 2014 13:37:23 -0300

system-image (2.5-0ubuntu1+ppa13) vivid; urgency=low

  * do not show exception log if "getprop" is not available
    (e.g. on snappy)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Nov 2014 09:10:18 +0100

system-image (2.5-0ubuntu1+ppa12) vivid; urgency=low

  * use /etc/machine-id if available
    (lp:~mvo/ubuntu-system-image/machine-id-fallback)
  * merge latest lp:system-image

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Nov 2014 18:11:14 +0100

system-image (2.5-0ubuntu1+ppa10) utopic; urgency=low

  * disable testsuite

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2014 17:21:54 +0200

system-image (2.5-0ubuntu1+ppa9) utopic; urgency=low

  * systemimage/data/client.ini:
    - use ubuntucoreupgrader.apply.ApplyUpgrade as the reboot hook

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2014 14:25:28 +0200

system-image (2.5-0ubuntu1+ppa8) utopic; urgency=low

  * the curl handle "dltotal" property is not always available

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Oct 2014 16:08:29 +0200

system-image (2.5-0ubuntu1+ppa7) utopic; urgency=low

  * do not fail if u-d-m is not available

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Oct 2014 13:16:20 +0200

system-image (2.5-0ubuntu1+ppa6) utopic; urgency=low

  * fix tests (/android/ -> /userdata/)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 06 Oct 2014 15:22:28 +0200

system-image (2.5-0ubuntu1+ppa5) utopic; urgency=low

  * systemimage/data/client.ini:
    - set cache_parition to /userdata/cache/

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Oct 2014 15:29:39 +0200

system-image (2.5-0ubuntu1+ppa4) utopic; urgency=low

  * crazy hack to workaround missing Task header

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 01 Oct 2014 16:09:32 +0200

system-image (2.5-0ubuntu1+ppa3) utopic; urgency=low

  * set no_proxy="localhost,127.0.0.1" before the build

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Sep 2014 17:37:01 +0200

system-image (2.5-0ubuntu1+ppa2) utopic; urgency=low

  * add missing python3-pycurl build-dependency

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Sep 2014 15:46:05 +0200

system-image (2.5-0ubuntu1+ppa1) utopic; urgency=low

  * use pycurl based downloader for the ubuntu-core-image, build
    from lp:~mvo/ubuntu-system-image/pycurl

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Sep 2014 14:59:23 +0200

system-image (2.4-0ubuntu1) utopic; urgency=medium

  [ Barry Warsaw ]
  * New upstream release.
    - LP: #1353178 - The channel.ini file can override the device name by
      setting `[service]device`.
    - LP: #1324241 - Add optional instrumentation to collect code coverage
      data during test suite run via tox.
    - LP: #1279970 - When an exception occurs in a `system-image-dbus`
      D-Bus method, signal, or callback, this exception is logged in the
      standard log file, and the process exits.  Also, `[system]loglevel`
      can now take an optional ":level" prefix which can be used to set
      the log level for the D-Bus API methods.  By default, they log at
      `ERROR` level, but can be set lower for debugging purposes.
    - LP: #1365646 - Don't crash when releasing an unacquired checking lock.
    - LP: #1365761 - When checking files for `last_update_date()` ignore
      PermissionErrors and just keep checking the fall backs.
    - LP: #1369714 - `system-image-cli --dbus` has been deprecated and
      will be removed in the future.


=== debian/control ===
Source: system-image-snappy
Maintainer: Michael Vogt <mvo@ubuntu.com>
Homepage: https://wiki.ubuntu.com/ImageBasedUpgrades
Section: python
X-Python3-Version: >= 3.4
Priority: optional
Build-Depends: dbus,
               dbus-x11,
               debhelper (>= 8),
               dh-python,
               python-docutils,
               python3-all (>= 3.3),
               python3-dbus,
               python3-gi,
               python3-gnupg,
               python3-nose2,
               python3-pkg-resources,
               python3-psutil,
               python3-setuptools,
               python3-xdg,
               ubuntu-download-manager,
               python3-pycurl
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
X-Auto-Uploader: no-rewrite-version

Package: system-image-snappy-cli
Architecture: all
Depends: system-image-snappy-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Conflicts: system-image-cli
Description: Ubuntu system image updater command line client - snappy version
 This is the command line client for the Ubuntu system image updater.

Package: system-image-snappy-common
Architecture: all
Depends: python3-dbus,
         python3-gi,
         python3-gnupg,
         python3-pkg-resources,
         python3-xdg,
         python3-pycurl,
         ${misc:Depends},
         ${python3:Depends}
Conflicts: system-image-common
Description: Ubuntu system image updater - snappy version
 This is the common bits for the Ubuntu system image updater.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3=$(shell py3versions -dvr)

#DH_VERBOSE=1
#DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	#unset http_proxy; unset https_proxy; \
	#export no_proxy="localhost,127.0.0.1"; \
	#export SYSTEMIMAGE_REACTOR_TIMEOUT=1200; \
	#export SYSTEMIMAGE_DBUS_DAEMON_HUP_SLEEP_SECONDS=2; \
	#PYBUILD_SYSTEM=custom \
	#PYBUILD_TEST_ARGS="{interpreter} -m nose2 -v" dh_auto_test

# pybuild can't yet handle Python 3 packages that don't start with "python3-".
# See bug #751908 - In the meantime, this override isn't perfect, but it gets
# close enough.
override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_install:
	dh_install -Xsystemimage/tests -Xsystemimage/testing \
		   -p system-image-snappy-common usr/lib/python3.?
	dh_install -p system-image-snappy-dev \
		   usr/lib/python3.?/dist-packages/systemimage/tests
	dh_install -p system-image-snappy-dev \
		   usr/lib/python3.?/dist-packages/systemimage/testing
	dh_install -p system-image-snappy-cli usr/bin/system-image-cli
	dh_install -p system-image-snappy-common \
		    debian/archive-master.tar.xz etc/system-image
	dh_install -p system-image-snappy-common \
		   debian/archive-master.tar.xz.asc etc/system-image
	dh_install -p system-image-snappy-common \
		   systemimage/data/client.ini etc/system-image
	#dh_install -p system-image-snappy-dbus usr/bin/system-image-dbus usr/sbin
	dh_install -p system-image-snappy-dbus \
		   systemimage/data/com.canonical.SystemImage.service \
		   usr/share/dbus-1/system-services
	dh_install -p system-image-snappy-dbus \
		   systemimage/data/com.canonical.SystemImage.conf \
		   etc/dbus-1/system.d

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS.rst

override_dh_installman:
	rst2man cli-manpage.rst > debian/tmp/system-image-cli.man
	rst2man dbus-manpage.rst > debian/tmp/system-image-dbus.man
	rst2man ini-manpage.rst > debian/tmp/client-ini.man
	dh_installman
